org.eclnt.workplace

## Interface IWorkpageContainerListener

- All Known Implementing Classes:
    WorkpageContainerDefaultListener

      public interface IWorkpageContainerListener

  Interface for reacting on events within the workplace management. THis interface may be extended in future times, so best use class `WorkpageContainerDefaultListener` as base class for your implementation.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `reactOnPerspectiveUpdate(WorkplaceTileInfo perspective)`
    `boolean` | `reactOnSelectorUserSelection(IWorkpageContainer workpageContainer, int fromIndex, int toIndex, IWorkpage fromWorkpage, IWorkpage toWorkpage)`
    `void` | `reactOnWorkpageAdded(IWorkpage workpage)`
    `void` | `reactOnWorkpageContainerGotEmpty(java.lang.String workpageContainerId)`
    `void` | `reactOnWorkpageDrop(java.lang.String workpageContainerId, java.lang.String workpageTechId, int horizontalPercentage, int verticalPercentage)`
    `void` | `reactOnWorkpageMoved(IWorkpage workpage, IWorkpageContainer from, IWorkpageContainer to)`
    `void` | `reactOnWorkpageRemoved(IWorkpage workpage)`
    `void` | `reactOnWorkpageSwitchedTo(IWorkpage workpage)`

- - ### Method Detail

    - #### reactOnWorkpageDrop

          void reactOnWorkpageDrop(java.lang.String workpageContainerId,
                                   java.lang.String workpageTechId,
                                   int horizontalPercentage,
                                   int verticalPercentage)

    - #### reactOnWorkpageAdded

          void reactOnWorkpageAdded(IWorkpage workpage)

    - #### reactOnWorkpageRemoved

          void reactOnWorkpageRemoved(IWorkpage workpage)

    - #### reactOnWorkpageSwitchedTo

          void reactOnWorkpageSwitchedTo(IWorkpage workpage)

    - #### reactOnWorkpageMoved

          void reactOnWorkpageMoved(IWorkpage workpage,
                                    IWorkpageContainer from,
                                    IWorkpageContainer to)

    - #### reactOnWorkpageContainerGotEmpty

          void reactOnWorkpageContainerGotEmpty(java.lang.String workpageContainerId)

    - #### reactOnPerspectiveUpdate

          void reactOnPerspectiveUpdate(WorkplaceTileInfo perspective)

    - #### reactOnSelectorUserSelection

          boolean reactOnSelectorUserSelection(IWorkpageContainer workpageContainer,
                                               int fromIndex,
                                               int toIndex,
                                               IWorkpage fromWorkpage,
                                               IWorkpage toWorkpage)

      Returns:
        false => do not perform selector activity.
        true => perform selector activity

Copyright © CaptainCasa Gmbh. All Rights Reserved.